# Planning your app

## 1. Who will use your app? (Who is your app's target user?)

This app will be at its core a random name generator, however it will be used for teachers in order to cold call students. Teachers would use this app. They would input their rosters and use the random generator to help choose students to cold call. At first this app will not support multiple users, as only one teacher’s roser will be inputted at first, but could eventually be expanded to have more than one user. 

## 2. What need or problem will your app solve? How do you know this is really a need for your target user? How does the target user currently deal with the problem?

There are two main goals for the app: 
Hold a library of student names 
Randomly choose a name for cold calling 

If those goals are met, this goals for the app could be extended to the following: 
Make notes or give a grade for the student’s answer to track their performance for the day.

I am creating this app for myself for now, but depending on how it works, it would be a good tool for teachers to be able to customize and use in their own classrooms. The alternative to this app is to use an analog method of pulling and documenting the names and answers like grading sheets and popsicle sticks with names on them. However, this app could be linked, overtime, to gradebooks and data collecting platforms that schools use to update grades and analyze data in real time. 



## 3. How will your app's design meet the need you have identified?

-To collect names I will input a student roster. 
-Student names will be randomly selected from the list. 
-Eventually, a notes section or grading element could be added to the final product. 


## 4. How could your app possibly cause harm? (For example, could someone get hurt if data leaked or if someone used the app inappropriately?) What steps will you take to ensure that nobody is harmed by your app?

This could be harmful because student education data and names are confidential. Students have the right to have their information protected. Which is why initially, the app will be only the name generator. Then as the app progresses, it can become more of an assessment tool. This could also be combated by putting students into table groups with names. For example if you have 20 students, they can be in 5 table groups of 4 in the classroom. Each group would be named and notes could be taken on the group in the app, but under the code name. This would protect a student’s right to privacy, but also help teacher’s formatively assess students in real time. 

